Support Center

Linux: Error: Your OS/architecture [ ... ] is not supported.

Problem Description

Attempting to install the JumpCloud agent fails on a Linux system and logs an error noting that Your OS/architecture [ ] is not supported. 

Cause

On Linux, JumpCloud uses both the architecture of your kernel (uname -m) as well as the contents of your /etc/issue or /etc/system-release file to determine the OS type of your servers. If the contents do not match JumpCloud current set of supported operating system types, you will receive this error.

Please see JumpCloud Agent Compatibility, System Requirements, and Impacts for supported Linux versions.

Solution

Returning the /etc/issue or /etc/system-release file to its original contents can often correct this issue.
 

Last Updated: Sep 12, 2017 12:52PM MDT

Related Articles
desk-forwarding@jumpcloud.com
https://cdn.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete